#ifndef STRINGSTORE_H
#define STRINGSTORE_H

#include <stdbool.h>
#include <cmph.h>

typedef struct stringstore {
	char *data;
	char **string_arr;
	unsigned long num_strings;
	unsigned long byte_count;
	unsigned long offset;
	cmph_t *cmph_hash;
} stringstore;

void stringstore_init(struct stringstore *store, unsigned long line_count, unsigned long byte_count);
void stringstore_append_string(struct stringstore *store, unsigned long id, const char *string, size_t length);
bool stringstore_check_string(stringstore *str_store, char *string);
void stringstore_free(stringstore *s);

#endif // STRINGSTORE_H
